# CRIMSON
# Copyright (c) 2006, Stephen Fisher, Susan Davidson, and Junhyong Kim, 
# University of Pennsylvania.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA.
#
# header.py - standard definitions that should probably be loaded by all 
#             python modules.
#
# @author  Stephen Fisher
# @version $Id: header.py,v 1.7 2007/10/09 20:14:16 fisher Exp $


# load Java routines
import sys 
import java.lang
from java.util import Random

from edu.upenn.crimson import *
from edu.upenn.crimson.io import *
from edu.upenn.crimson.gui import *

# these classes loaded above so we can access their methods, but
# apparently accessing their fields requires a different import
from edu.upenn.crimson.CrimsonMain import *
from edu.upenn.crimson.CrimsonUtils import *
# from edu.upenn.crimson.io.FileIO import *

# load script to convert nexus file to walrus format, and run the
# Walrus 3D viewer
if WALRUS:
	import nex2walrus
	import walrus
